# ImageMagick: Subversion
Use ImageMagick to convert, edit, or compose bitmap images in a variety of formats. In addition resize, rotate, shear, distort and transform images automagically.
Author: ImageMagick Studio LLC
Keywords: subversion, ImageMagick, PerlMagick, image processing, OpenMP, software development library, image, photo, software, Magick++, MagickWand

Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# ImageMagick Subversion Repository

The ImageMagick stable and development source releases are available from Subversion. This a convenient way for developers to download the ImageMagick source, fix bugs, or add new features.

To retrieve, or check out ImageMagick stable, use this command:

$ svn co \
https://www.imagemagick.org/subversion/ImageMagick/branches/ImageMagick-6.7.9 \
ImageMagick-6.7.9

To retrieve, or check out ImageMagick development, use this command:

$ svn co https://www.imagemagick.org/subversion/ImageMagick/trunk ImageMagick

To update the sources within a previously checked out directory, execute:

$ svn update

and only the files which have changed are updated.

Discourse Server • Studio